Bug 593950 - allow_mount_anyfile false positives (with mount.crypt)
Summary: allow_mount_anyfile false positives (with mount.crypt)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 06:22 UTC by Tomáš Trnka
Modified: 2011-06-05 20:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-05 20:22:07 UTC
Type: ---


Attachments (Terms of Use)

Description Tomáš Trnka 2010-05-20 06:22:56 UTC
Description of problem:
The allow_mount_anyfile SETroubleshoot plugin currently triggers on any AVC with the source type of mount_t (and file or dir tclass). That means each and every mount.crypt AVC (file reads, writes etc...) is incorrectly flagged as being an allow_mount_anyfile problem.

Version-Release number of selected component (if applicable):
setroubleshoot-plugins-2.1.50-1.fc13.noarch

Steps to Reproduce:
Trigger an AVC with anything in mount_t and see.
  
Actual results:
The AVC is mistaken for an allow_mount_anyfile, recommending the user to set the respective boolean, which doesn't help at all.

Expected results:
The AVC is analyzed properly (i.e. by the catchall plugin).

Additional info:
I don't know whether this isn't by design, since there's this "mounton" plugin, too, that seems do do the job properly (i.e. trigger only on a file mounton AVC). Either way it's annoying (and perhaps misleading lots of user to set a boolean they don't need ).

Comment 1 Daniel Walsh 2010-05-21 14:46:53 UTC
Agree,  I am removing this plugin altogether.  

The catchall_boolean will report the correct thing if this boolean being turned on would solve the problem.

Fixed in setroubleshoot-plugins-2.1.52-1.fc13

Comment 2 Bug Zapper 2011-06-02 13:48:44 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tomáš Trnka 2011-06-05 20:22:07 UTC
This was really fixed in setroubleshoot-plugins-2.1.52-1.fc13


Note You need to log in before you can comment on or make changes to this bug.